System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The type of a parameter is specific to the .NET Framework data provider. Specifying the type converts the value of the Parameter to the data provider Type before passing the value to the data source. If the type is not specified, ADO.NET infers the data provider Type of the Parameter from the Value property of the Parameter object.

You can also generically specify the type of a Parameter by setting DbType property of a Parameter object.

ADO.NET cannot correctly infer the type if a byte array is larger than 8,000 bytes. Explicitly specify the when working with byte arrays larger than 8,000 bytes.

Specifies the data type of a field, a property, or a Parameter object of a .NET Framework data provider.

- Field
  System.Data.DbType To be added

  A variable-length stream of non-Unicode characters ranging between 1 and 8,000 characters.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A fixed-length stream of non-Unicode characters.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A variable-length stream of binary data ranging between 1 and 8,000 bytes.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A simple type representing Boolean values of true or false.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  An 8-bit unsigned integer ranging in value from 0 to 255.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A currency value ranging from -2 63 (or -922,337,203,685,477.5808) to 2 63 -1 (or +922,337,203,685,477.5807) with an accuracy to a ten-thousandth of a currency unit.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A type representing a date value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A type representing a date and time value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A simple type representing values ranging from 1.0 x 10 -28 to approximately 7.9 x 10 28 with 28-29 significant digits.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A floating point type representing values ranging from approximately 5.0 x 10 -324 to 1.7 x 10 308 with a precision of 15-16 digits.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A globally unique identifier (or GUID).

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  An integral type representing signed 16-bit integers with values between -32768 and 32767.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  An integral type representing signed 32-bit integers with values between -2147483648 and 2147483647.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  An integral type representing signed 64-bit integers with values between -9223372036854775808 and 9223372036854775807.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A general type representing any reference or value type not explicitly represented by another DbType value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  An integral type representing signed 8-bit integers with values between -128 and 127.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A floating point type representing values ranging from approximately 1.5 x 10 -45 to 3.4 x 10 38 with a precision of 7 digits.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A type representing Unicode character strings.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A fixed-length string of Unicode characters.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A type representing a SQL Server DateTime value. If you want to use a SQL Server time value, use .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  An integral type representing unsigned 16-bit integers with values between 0 and 65535.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  An integral type representing unsigned 32-bit integers with values between 0 and 4294967295.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  An integral type representing unsigned 64-bit integers with values between 0 and 18446744073709551615.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DbType To be added

  A variable-length numeric value.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Data.DbType

  A parsed representation of an XML document or fragment.